#
# Cookbook:: safe_apt_upgrade
# Recipe:: default
#
# Copyright:: 2019, Rafael Dalprá, All Rights Reserved.

execute "kill apt" do
  command "killall apt || true"
  action :run
end

execute "kill apt-get" do
  command "killall apt-get || true"
  action :run
end

execute "remove lock file" do
  command "rm /var/lib/apt/lists/lock"
  action :run
  only_if { File.exist? "/var/lib/apt/lists/lock" }
end

execute "remove lock file" do
  command "rm /var/cache/apt/archives/lock"
  action :run
  only_if { File.exist? "/var/cache/apt/archives/lock" }
end

execute "remove lock file" do
  command "rm /var/lib/dpkg/lock-frontend"
  action :run
  only_if { File.exist? "/var/lib/dpkg/lock-frontend" }
end

execute "remove lock file and dkpg configure" do
  command "rm /var/lib/dpkg/lock && dpkg --configure -a"
  action :run
  only_if { File.exist? "/var/lib/dpkg/lock" }
end

execute "update-upgrade" do
  command "apt-get update && apt-get upgrade -y"
  action :run
end